<ion-header>
  <ion-navbar color="dark">
    <ion-title>
      Inicio
    </ion-title>
    <ion-buttons end>
      <button ion-button icon-end (click)="logOut()">
        LogOut
        <ion-icon name="log-out"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<!--https://firebasestorage.googleapis.com/v0/b/elderapp-d504d.appspot.com/o/assets%2Fsword_icon.png?alt=media&token=f5298ee9-6110-4c06-99e3-ca0140bab7c6-->
<ion-content padding>
  <ion-list *ngFor="let item of personajes">
    <ion-item-sliding>
      <ion-item (click)="ingresar()">
        <h2 class="my-label" style="text-align: center">{{item.nombre}}</h2>
        <h3 style="text-align: center">{{item.clase}}</h3>
        <!--<h3 style="text-align: center">idDoc : {{item.id}}</h3>-->
      </ion-item>
      <ion-item-options side="right">
        <button ion-button color="danger" (click)="eliminarPersonaje(item)">
          <ion-icon name="delete"></ion-icon>
          Delete
        </button>
      </ion-item-options>
    </ion-item-sliding>

    <ion-item text-center>
      <h2 style="text-align: center">{{item.raza}}</h2>
      <img src="../../assets/icon/rank/{{item.rank}}.png" width=60px alt="health">
      <h3 class="simple_title" style="text-align: center">Informacion Personaje </h3>

      <ion-grid *ngFor="let item of personajes">
        <ion-row text-center>
          <ion-col>
            <img src="../../assets/icon/health_icon.png" width=60px alt="health">
          </ion-col>
          <ion-col>
            <img src="../../assets/icon/{{item.recurso}}_icon.png" width=60px alt="recurso">
          </ion-col>
          <ion-col>
            <img src="../../assets/icon/status_icon.png" width=60px alt="health">
          </ion-col>
          <ion-col>
            <img src="../../assets/icon/xp_icon.png" width=60px alt="health">
          </ion-col>
        </ion-row>
        <ion-row text-center>
          <ion-col>
            Health
          </ion-col>
          <ion-col>
            {{item.recurso}}
          </ion-col>
          <ion-col>
            Status
          </ion-col>
          <ion-col>
            Level
          </ion-col>
        </ion-row>
        <ion-row text-center>
          <ion-col>
            44/88
          </ion-col>
          <ion-col>
            50/100
          </ion-col>
          <ion-col>
            {{item.status}}
          </ion-col>
          <ion-col>
            {{item.level}}
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>
  </ion-list>

  <ion-grid xs="auto" *ngFor="let item of personajes" class="custom_grid">
    <ion-row text-center>
      <ion-col>
        <img src="../../assets/icon/ui/armo_icon.png" (click)="goPersonaje()" width=40px alt="health">
      </ion-col>
      <ion-col>
        <img src="../../assets/icon/ui/backpack_icon.png" (click)="goInventario()" width=40px alt="recurso">
      </ion-col>
      <ion-col>
        <img src="../../assets/icon/ui/quest_icon.png" (click)="goMisiones()" width=40px alt="recurso">
      </ion-col>
      <ion-col>
        <img src="../../assets/icon/ui/stats_icon.png" (click)="goPuntuaciones()" width=40px alt="recurso">
      </ion-col>
    </ion-row>
  </ion-grid>


  <!--*****************************************************************************-->

  <ion-content *ngIf="registarStatus" padding>

    <ion-slides autoplay="5000" loop="true" speed="1000" pager="true" *ngIf="infoStatus">
      <ion-slide>
        <img src="../../assets/imgs/slide1.png" alt="slide1">
        <h1>Bienvenido a Elder Dungeon</h1>
      </ion-slide>
      <ion-slide>
        <img src="../../assets/imgs/slide2.jpg" alt="slide2">
        <h1>Vive una Experiencia de Rol Unica</h1>
      </ion-slide>
      <ion-slide>
        <img src="../../assets/imgs/slide3.jpg" alt="slide3">
        <h1>Crea tu propio Personaje</h1>
      </ion-slide>
      <ion-slide>
        <img src="../../assets/imgs/slide4.png" alt="slide3">
        <h1>Compite y Gana</h1>
      </ion-slide>
    </ion-slides>

    <ion-item>
      <ion-label floating>Nombre Personaje</ion-label>
      <ion-input type="text" [(ngModel)]="personaje.nombre"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label floating>Clase</ion-label>
      <ion-select [(ngModel)]="personaje.clase">
        <ion-option value="Arquero">Arquero</ion-option>
        <ion-option value="Guerrero">Guerrero</ion-option>
        <ion-option value="Mago">Mago</ion-option>
      </ion-select>
    </ion-item>

    <ion-item>
      <ion-label floating>Raza</ion-label>
      <ion-select [(ngModel)]="personaje.raza">
        <ion-option value="Humano">Humano</ion-option>
        <ion-option value="No-Muerto">No-Muerto</ion-option>
        <ion-option value="Bestia">Bestia</ion-option>
        <ion-option value="Monstruo">Monstruo</ion-option>
        <ion-option value="Etereo">Etereo</ion-option>
        <ion-option value="Frenetico">Frenetico</ion-option>
      </ion-select>
    </ion-item>

    <h2 class="my-label" style="text-align: center">Solo tienes una vida, si mueres tendras que iniciar nuevamente</h2>

    <button ion-button (click)="crear(personaje)">Crear</button>

    <ion-fab bottom right *ngIf="fabStatus">
      <button ion-fab (click)="goToRegister()">^</button>
    </ion-fab>

  </ion-content>
</ion-content>